package com.persagy.cameractl.utils;

import java.util.ArrayList;
import com.dh.DpsdkCore.dpsdk_ptz_direct_e;
import com.dh.DpsdkCore.dpsdk_camera_operation_e;

public class EnumTools {
	/*------------------定义操作系统----------------------*/
	public enum OperatingSystem {
		linux, windows, other;
	}

	/*------------------定义摄像头操作命令类型,SDK的命令，也是浏览器端传过来的命令----------------------*/
	public static ArrayList<String> listSdkCommand = new ArrayList<String>() {
		/**
		* 
		*/
		private static final long serialVersionUID = 1L;

		{
			// 焦距变大，即倍率变大
			add("ZOOM_IN");
			// 焦距变小，即倍率变小
			add("ZOOM_OUT");
			// 焦点前调，即调焦++
			add("FOCUS_NEAR");
			// 焦点后调，即调焦--
			add("FOCUS_FAR");
			// 光圈扩大
			add("IRIS_OPEN");
			// 光圈缩小
			add("IRIS_CLOSE");
			// 上仰
			add("TILT_UP");
			// 下俯
			add("TILT_DOWN");
			// 左转
			add("PAN_LEFT");
			// 右转
			add("PAN_RIGHT");
			// 左上转动或(上仰和左转)
			add("UP_LEFT");
			// 左下转动或(下俯和左转)
			add("DOWN_LEFT");
			// 右上转动或(上仰和右转)
			add("UP_RIGHT");
			// 右下转动或(下俯和右转)
			add("DOWN_RIGHT");
		}
	};

	/*------------------定义摄像头操作命令类型,海康SDK的命令对应的编码----------------------*/
	
	/*---------------------------------定义摄像头操作命令类型,海康SDK的命令对应的编码-------------------------------------*/
	public static int[] arrSdkCommandCode = new int[] { 11, 12, 13, 14, 15, 16, 21, 22, 23, 24, 25, 27, 26, 28 };

	/*------------------定义摄像头操作命令类型,海康软件接口的命令----------------------*/
	public static String[] arrHkvisionCommand = new String[] { "ZOOM_IN", "ZOOM_OUT", "FOCUS_NEAR", "FOCUS_FAR",
			"IRIS_ENLARGE", "IRIS_REDUCE", "UP", "DOWN", "LEFT", "RIGHT", "LEFT_UP", "LEFT_DOWN", "RIGHT_UP",
			"RIGHT_DOWN", "" };

	/*---------------------------------定义摄像头操作命令类型,大华DSS平台的命令对应的编码-------------------------------------*/
	public static int[] arrDahSdkCommandCode = new int[] { dpsdk_camera_operation_e.DPSDK_CORE_PTZ_ADD_ZOOM,
			dpsdk_camera_operation_e.DPSDK_CORE_PTZ_REDUCE_ZOOM, dpsdk_camera_operation_e.DPSDK_CORE_PTZ_ADD_FOCUS,
			dpsdk_camera_operation_e.DPSDK_CORE_PTZ_REDUCE_FOCUS, dpsdk_camera_operation_e.DPSDK_CORE_PTZ_ADD_APERTURE,
			dpsdk_camera_operation_e.DPSDK_CORE_PTZ_REDUCE_APERTURE, dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_UP,
			dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_DOWN, dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_LEFT,
			dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_RIGHT, dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_LEFTUP,
			dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_LEFTDOWN, dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_RIGHTUP,
			dpsdk_ptz_direct_e.DPSDK_CORE_PTZ_GO_RIGHTDOWN };

	/*------------------定义控制失败编码----------------------*/
	public enum ControlFailedCode {
		// 初始化失败
		init_failed
	}

}
